const Model = require('flitter-orm/src/model/Model')
const uuid = require('uuid/v4')

/*
 * Codium Model
 * -------------------------------------------------------------
 * Put some description here!
 */
class Codium extends Model {
    static get schema() {
        // Return a flitter-orm schema here.
        return {
            Language: {type: String, default: 'javascript'},
            NodeId: String,
            PageId: String,
            code: String,
            UUID: { type: String, default: () => uuid() },
        }
    }
    
    // Static and instance methods can go here
    get page() {
        const Page = require('./Page.model')
        return this.belongs_to_one(Page, 'PageId', 'UUID')
    }
}

module.exports = exports = Codium
