module.exports = exports = {
    page: {
        fields: {
            PageId: {
                required: true,
                coerce: String,
            },
        },
    },

    page_level: {
        fields: {
            PageId: {
                required: true,
                coerce: String,
            },
            user_id: {
                required: true,
                coerce: String,
            },
            level: {
                required: true,
                coerce: String,
                in_set: ['view', 'update', 'manage'],
            },
        },
    },

    page_link: {
        fields: {
            PageId: {
                required: true,
                coerce: String,
            },
            level: {
                required: true,
                coerce: String,
                in_set: ['view', 'update', 'manage'],
            },
        },
    },

    page_user: {
        fields: {
            PageId: {
                required: true,
                coerce: String,
            },
            user_id: {
                required: true,
                coerce: String,
            },
        },
    },
}
